Subject: Re: bug#27009: 25.1; Tramp stuck on wrong host

From: Glenn Morris <[email-masked]>
Date: Wed, 24 May 2017 13:22:59 -0400

Michael Albinus wrote:

> Due to the new defstruct and its mechanery, I had to cut Emacs 23
> backward compatibility for Tramp 2.3. I don't know how many users are
> hit by this; hopefully not too many.

In 2016, we had one bug report from an Emacs 23 user.

https://debbugs.gnu.org/stats/emacs.html

So, I would guess that the number of people using Emacs 23 AND
upgrading to the latest Tramp version is... zero.

> With the default settings for tramp-tests.el, all test cases pass. But
> for some other methods, there are still failures. Will continue to test.

FYI, I think these changes cause some python tests to fail with

  (wrong-type-argument tramp-file-name nil)